/*
* CLIF is a Load Injection Framework
* Copyright (C) 2004, 2006 France Telecom
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2 of the License, or (at your option) any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*
* CLIF 
*
* Contact: clif@objectweb.org
*/

package org.objectweb.clif.isac.plugins.httpinjector10.tools;

/**
 * This class only holds parameters constantes
 * 
 * @author JC Meillaud
 * @author A Peyrard
 * @author Bruno Dillenseger
 */
public class ParameterConstants
{
	public static final int HTTPDEFAULTPORT = 80;
	public static final String EMPTY = "";
	public static final String SEPARATOR = "&";
	public static final String USERAGENT = "useragent";
	public static final String DEFAULTUSERAGENT = "CLIF-ISAC HttpInjector";
	public static final String CUSTOM = "custom";
	public static final String REDIRECT = "redirect";
	public static final String INDEPTHLOAD = "indepthload";
	public static final String ENABLED = "enabled";
	public static final String URI = "uri";
	public static final String HEADERS = "headers";
	public static final String QUERYPARAMETERS = "parameters";
	public static final String BODYPARAMETERS = "bodyparameters";
	public static final String REQUEST = "request";
	public static final String RESPONSE_BODY = "response-body";
	public static final String FILE = "file";
	public static final String FILES = "files";
	
	// Test Constants
	public static final String STATUSCODE = "statuscode";
	public static final String HEADERPARAMETERVALUE = "headervalue";
	public static final String HEADERPARAMETERTYPE = "headertype";
	
	// Proxy Configuration
	public static final String PROXY = "proxy";
	public static final int PROXYDEFAULTPORT = 1080;
	public static final String USERNAME = "username";
	public static final String PASSWORD = "password";
	public static final String REALM = "realm";
	public static final String HOSTAUTH = "hostauth";
	public static final String PROXYUSERNAME = "proxyusername";
	public static final String PROXYUSERPASS = "proxyuserpass";
	public static final String PROXYHOST = "proxyhost";
	public static final String PROXYPORT = "proxyport";
	public static final String PREEMPTIVEAUTHENTICATION = "preemptiveauthentication";
	public static final String LOCALADDRESS = "localaddress";

	// Cookie String Constants

	public static final String COOKIES = "cookies";
	public static final String COOKIEPOLICY = "cookiepolicy";
	public static final String DOMAIN = "domain";
	public static final String NAME = "name";
	public static final String VALUE = "value";
	public static final String PATH = "path";
	public static final String EXPIRES = "expires";
	public static final String MAXAGE = "maxage";
	public static final String SECURE = "secure";
	public static final String RFC2109 = "rfc2109";
	public static final String NETSCAPE = "netscapedraft";
	public static final String COMPATIBILITY = "compatibility";
	public static final String NOCOOKIE = "ignore";
}
