/*
 * CLIF is a Load Injection Framework
 * Copyright (C) 2006 F.Barreca & I.Vassilev
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 * CLIF
 *
 * Contact: clif@objectweb.org
 */

package org.objectweb.clif.isac.plugins.sipinjector10;

import javax.sip.*;
import javax.sip.address.*;
import javax.sip.message.*;
import java.util.*;

/**
 * @author Fabien Barreca
 * @author Iassen Vassilev
 */
public class MyRouter implements Router {
	protected SipStack myStack;
	protected HopImpl defaultRoute;

	public MyRouter(SipStack sipStack, String nextHop) {

		this.myStack = sipStack;
		this.defaultRoute = new HopImpl(nextHop);
	}

	/** Always send requests to the default route location.
	*/
	public ListIterator getNextHops(Request sipRequest) {
		LinkedList ll = null;
		if (defaultRoute != null) {
			if (ll == null)
				ll = new LinkedList();
			ll.add(defaultRoute);
			return ll.listIterator();
		} else
			return null;
	}

	public Hop getOutboundProxy() {
		return this.defaultRoute;
	}

}
